Subject: Re: bug#15957: 24.3.50; Follow mode scrolling broken on Emacs trunk

From: Anders Lindgren <[email-masked]>
Date: Tue, 26 Nov 2013 15:25:48 +0100

Hi!

Unfortunately, the problem is still there, as far as I can see.

     -- Anders

On Tue, Nov 26, 2013 at 3:12 PM, martin rudalics <[email-masked]> wrote:

> > The problem only occurs under certain circumstances. `window-end' must
> > called from a post-command hook and the command that started it must be
> > bound to a key (not using M-x). Also, sometimes it seems to work
> correctly,
> > sometimes not, like every second time. (Take "must" with a grain of salt,
> > it might be possible to trigger the bug under other circumstances as
> well.)
>
> From what you found out so far I suppose that these changes
>
>   * window.c (window_scroll_pixel_based)
>
>   (window_scroll_line_based): Do not reset last_modified and
>
>   last_overlay_modified counters.
>
> are responsible.  Could you try to resetting window_end_valid in
> window_scroll like
>
> === modified file 'src/window.c'
> --- src/window.c        2013-11-06 18:41:31 +0000
> +++ src/window.c        2013-11-26 14:07:05 +0000
> @@ -4286,6 +4286,7 @@
>    else
>      window_scroll_line_based (window, n, whole, noerror);
>
> +  XWINDOW (window)->window_end_valid = 0;
>    immediate_quit = 0;
>  }
>
> and see what happens?
>
> martin
>